Software::License::Artistic_1_0(3)

NAME
Software::License::Artistic_1_0 - The Artistic License

VERSION
version 0.103014

OPTIONS
The Artistic License 1.0 has a sometimes-omitted "aggregation clause" which reads:

  8. The name of the Copyright Holder may not be used to endorse or promote
  products derived from this software without specific prior written
  permission.

By default, this clause will be included. To disable it, include the following pair when instantiating the license:

  aggregation_clause => 0

METHODS

  aggregation_clause
This method returns whether the aggregation clause is allowed on this instance. By default this method returns true on instances and dies on the class.

AUTHOR
Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2018 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.